#
# spec file for package cdrdao (Version 1.2.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel cdrecord-devel coreutils cpio cpp cracklib cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-translations diffutils e2fsprogs esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gconf2 gconf2-devel gconfmm gconfmm-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glibmm24 glibmm24-devel glitz glitz-devel gnome-filesystem gnome-keyring gnome-keyring-devel gnome-vfs2 gnome-vfs2-devel gnome-vfsmm gnome-vfsmm-devel gpm grep groff gtk2 gtk2-devel gtkmm24 gtkmm24-devel gzip hal hal-devel info insserv klogd less libacl libao libao-devel libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libgcc libglade2 libglade2-devel libglademm libglademm-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomecanvasmm libgnomecanvasmm-devel libgnomemm libgnomemm-devel libgnomeui libgnomeui-devel libgnomeuimm libgnomeuimm-devel libjpeg libjpeg-devel libnscd libogg libogg-devel libpng libpng-devel libsigc++2 libsigc++2-devel libstdc++ libstdc++-devel libtool libusb libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libzio m4 mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline resmgr rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           cdrdao
BuildRequires:  cdrecord-devel gcc-c++ libao-devel libgnomeuimm-devel libvorbis-devel update-desktop-files
License:        GPL
Group:          Productivity/Multimedia/CD/Record
Autoreqprov:    on
Version:        1.2.0
Release:        18.2
Summary:        Write CD-Rs in Disk-At-Once Mode
URL:            http://cdrdao.sourceforge.net
Source:         cdrdao-1.2.0.tar.bz2
Source1:        cdrdao.drivers
Patch1:         ia64.dif
Patch2:         s390.dif
Patch3:         resmgr.dif
Patch7:         cdrdao-%{version}-assert.patch
Patch10:        cdrdao-%{version}-config-cleanup.patch
Patch12:        cdrdao-build.patch
Patch13:        cdrdao-%{version}-config-fix.patch
Patch14:        cdrdao-%{version}-scan.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
CDRDAO creates CD-Rs in disk-at-once (DAO) mode driven by a description
file called a toc file. In DAO mode, it is possible to create
nonstandard track pregaps that have lengths other than 2 seconds and
contain nonzero audio data. This is useful for dividing live recordings
into tracks where 2 second gaps would be irritating.



Authors:
--------
    Andreas Mueller <mueller@daneb.ping.de>

%debug_package
%package -n gcdmaster
Requires:       cdrdao
Summary:        Graphical front end to cdrdao for composing audio CDs
Group:          Productivity/Multimedia/CD/Record

%description -n gcdmaster
gcdmaster allows the creation of toc-files for cdrdao and can control
the recording process. Its main application is the composition of audio
CDs from one or more audio files. It supports PQ-channel editing, entry
of meta data like ISRC codes/CD-TEXT and nondestructive cut of the
audio data.



Authors:
--------
    Andreas Mueller <mueller@daneb.ping.de>

%prep
%setup -q 
cp %{S:1} dao/cdrdao.drivers
%patch1
%patch2
%patch3 -p1 -b .resmgr
%patch7
%patch10
%patch12
%patch13
%patch14

%build
%{suse_update_config -f paranoia scsilib/conf}
autoreconf -f -i
ln -sf i586-linux-cc.rul scsilib/RULES/x86_64-linux-cc.rul
ln -sf ppc-linux-cc.rul scsilib/RULES/ppc64-linux-cc.rul
ln -sf s390-linux-cc.rul scsilib/RULES/s390x-linux-cc.rul
ln -sf s390-linux-gcc.rul scsilib/RULES/s390x-linux-gcc.rul
export GNOME_CONFIG=/opt/gnome/bin/gnome-config
export CFLAGS="$RPM_OPT_FLAGS" 
export CXXFLAGS="$CFLAGS" 
./configure --prefix=/usr \
	    --with-scglib-inc=/usr/include/cdrecord \
	    --with-scglib-lib=/usr/%_lib \
	    --with-gnome-prefix=/opt/gnome \
            --mandir=%{_mandir}
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=${RPM_BUILD_ROOT}/usr mandir=${RPM_BUILD_ROOT}%{_mandir} install
mkdir --parents ${RPM_BUILD_ROOT}/opt/gnome/share
mkdir --parents ${RPM_BUILD_ROOT}/opt/gnome/bin
mv -f ${RPM_BUILD_ROOT}/usr/share/applications ${RPM_BUILD_ROOT}/opt/gnome/share
mv -f ${RPM_BUILD_ROOT}/usr/share/pixmaps ${RPM_BUILD_ROOT}/opt/gnome/share 
mv -f ${RPM_BUILD_ROOT}/usr/bin/gcdmaster ${RPM_BUILD_ROOT}/opt/gnome/bin
install utils/toc2cue ${RPM_BUILD_ROOT}/usr/bin
%suse_update_desktop_file gcdmaster DiscBurning

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README README.PlexDAE COPYING CREDITS 
/usr/bin/*
%doc %{_mandir}/*/cdrdao*
%doc %{_mandir}/*/cue2toc*
/usr/share/cdrdao

%files -n gcdmaster
%defattr(-,root,root)
/opt/gnome/share/applications/*
/opt/gnome/share/pixmaps/*
/opt/gnome/bin/*
%doc %{_mandir}/*/gcdmaster*
%dir /usr/share/application-registry
/usr/share/application-registry/gcdmaster.applications
%dir /usr/share/gcdmaster
%dir /usr/share/gcdmaster/glade
/usr/share/gcdmaster/glade/ProjectChooser.glade
%dir /usr/share/mime-info
/usr/share/mime-info/gcdmaster.keys
/usr/share/mime-info/gcdmaster.mime
/usr/share/mime/packages/gcdmaster.xml

%changelog -n cdrdao
* Sun Feb 19 2006 - aj@suse.de
- Reduce BuildRequires.
* Tue Jan 31 2006 - nadvornik@suse.cz
- do not scan old ATAPI interface [#144861]
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 - nadvornik@suse.cz
- fixed detection of libgnomeuimm
* Wed Dec 14 2005 - ro@suse.de
- removed /usr/share/mime directory from filelist
  (in filesystem package now)
* Tue Nov 01 2005 - nadvornik@suse.cz
- updated to 1.2.0
* Sun Aug 07 2005 - ro@suse.de
- update to cvs to fix build of gcdmaster with gnome-2.6
* Sun Aug 07 2005 - ro@suse.de
- find new libgnomeuimm
* Wed Apr 20 2005 - nadvornik@suse.de
- fixed to compile with gcc4
* Fri Feb 11 2005 - ro@suse.de
- change neededforbuild to libsigc++12
* Thu Sep 23 2004 - nadvornik@suse.cz
- built with internal pccts [#45343]
* Thu Jul 01 2004 - nadvornik@suse.cz
- updated to 1.1.9
- MMC-driver auto-detection in mainstream, corresponding SUSE patch dropped
- fixed [#42615]
* Mon Apr 19 2004 - ro@suse.de
- fix warning: control reaches end of non-void function
* Fri Apr 02 2004 - nadvornik@suse.cz
- fixed sound in gcdmaster [#33948]
* Mon Mar 29 2004 - nadvornik@suse.cz
- fixed bug in dynamic menus [#36638]
* Fri Feb 20 2004 - nadvornik@suse.cz
- scan for ATA devices
* Wed Feb 18 2004 - nadvornik@suse.cz
- updated to 1.1.8
- ported to gnome2
* Mon Feb 02 2004 - nadvornik@suse.cz
- fixed a crash caused by wrong assert [#32701]
- fixed the fallback driver patch [#33646]
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Tue Sep 16 2003 - nadvornik@suse.cz
- added fallback to generic-mmc if no other driver is detected [#31044]
* Sun Sep 07 2003 - adrian@suse.de
- add Categories
* Mon Sep 01 2003 - ro@suse.de
- change version string to 1.1.7-suse
- use current libscg from cdrecord
- backport "drive-info" command from cvs
- backport libscg interface changes from cvs
* Thu Aug 14 2003 - nadvornik@suse.cz
- added GDR8160B to driver list [#26860]
* Thu Jul 24 2003 - uli@suse.de
- fixed to build on s390x
* Fri Mar 07 2003 - meissner@suse.de
- added resmgr support, rerun autoconf to bring in new
  resmgr checks.
* Tue Feb 11 2003 - nadvornik@suse.cz
- updated to 1.1.7
* Mon Jan 27 2003 - ro@suse.de
- fix gcc-3.3 build
* Mon Jan 20 2003 - ro@suse.de
- fix multiline-string issue in code
* Fri Sep 27 2002 - ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Mon Aug 05 2002 - nadvornik@suse.cz
- updated driver table
* Tue Jul 23 2002 - nadvornik@suse.cz
- installed toc2cue (bug #17144)
* Mon Jun 17 2002 - meissner@suse.de
- use ppc config file for ppc64 too.
* Tue May 14 2002 - ro@suse.de
- fix to build on x86_64 and with pccts includes in lib64
* Fri Apr 26 2002 - ro@suse.de
- fix build with latest gcc
* Mon Apr 22 2002 - ro@suse.de
- make it build with gcc-3.1
* Fri Sep 07 2001 - nadvornik@suse.cz
- added /usr/share/cdrdao to filelist
* Wed Aug 29 2001 - schwab@suse.de
- Add %%suse_update_config.
- Fix configuration problem.
* Fri Aug 03 2001 - uli@suse.de
- added rules for s390
* Wed Jun 20 2001 - nadvornik@suse.cz
- created subpackage "gcdmaster"
* Thu May 31 2001 - egger@suse.de
- Updated to version 1.1.5.
- Fixed specfile.
- Enabled GNOME frontend (to be moved into subpackage).
- Completed #neededforbuild.
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Tue Feb 20 2001 - sf@suse.de
- added ia64 to RULES
- added ia64 to btorder.h
- added <string.h> for gcc-2.96
* Fri Feb 09 2001 - ro@suse.de
- fixed to compile
- sigc++, sigc++-devel need to be added to neededforbuild,
  but xdao does not compile with current gtk anyway
* Sun Nov 05 2000 - ro@suse.de
- fixed neededforbuild
* Thu Jul 06 2000 - kukuk@suse.de
- Add patch for SPARC
* Fri May 19 2000 - smid@suse.cz
- man pages fixed
* Thu Apr 06 2000 - smid@suse.cz
- buildroot added
* Mon Jan 17 2000 - ro@suse.de
- man to usr/share/man
* Tue Nov 09 1999 - ro@suse.de
- update to 1.1.3 (added xcdrdao, gtk-frontend)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Aug 03 1999 - uli@suse.de
- update -> 1.1.2
* Fri Apr 16 1999 - ro@suse.de
- update to 1.1.0
* Tue Dec 01 1998 - ro@suse.de
- update to 1.09
* Mon Sep 14 1998 - ro@suse.de
- initial suse package, development version 1.06
